Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 23:55
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Puppy 5.1.1 with Canon mp620 printer (""SOLVED")
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
rgs

Joined: 21 Aug 2008
Posts: 38
Location: New England, USA

PostPosted: Wed 20 Oct 2010, 16:23    Post_subject:  Puppy 5.1.1 with Canon mp620 printer (""SOLVED")
Sub_title: Can't get printer to work
 

SOLVED!!


I just installed Puppy 5.1.1. It has cups 1.4.3.

Last year I could not get my Canon mp620 wireless printer working with Puppy 4.31.1.

It was working ok on Puppy 4.2.1 after Muggins prepared a pet for me, mp_ptr_620-i486pet, to get to work on 4.2.1
.
When I next found it would not work with Puppy 4.31.1, Patriot guided me to replace cups with a newer version.

Now after trying everything I can, including adding Patriot's cups-bjnp-0.5.4-i486.pet, and installing cups 1.3.1.0 over cups 1.4.3, I am stuck! I wasn't sure about installing a previous version of cups over a newer one. When I open cups it now shows 1.3.10.

I was then able to choose "canon wireless" from the device list, and it showed driver canon mp620-630 series ver.2.80en. It seems to have installed OK, but when I try to print, it says"udp_command:connect-invalid argument".


Can anyone please help me to get my canon mp620 wireless printer to work with Puppy 5.1.1?

Edited_times_total
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9200
Location: Stratford, Ontario

PostPosted: Wed 20 Oct 2010, 18:30    Post_subject:  

Before dealing with the wireless issue, I would try installing your printer directly as a USB device.

Have you read Patriot's discussion here concerning firewalls?

I am confused by your reference to CUPS 1.3.1.0. Are you sure that it's not CUPS 1.3.11? Where did you get this version? At this point, it may be safest to do a fresh install and get the original CUPS back.

I suspect that the correct order of operations is this:

1. Install Patriot's MP610 Series driver.
2. Install the cups-bjnp-0.5.4-i486.pet.
3. Install the MP620-630 patch attached below.
4. Deal with any firewall issues.
5. Open the CUPS web interface and delete the current MP610 printer.
6. Restart CUPS
7. Install your printer.

A good source of information is here.

From the above site, it looks like the cups-bjnp-0.5.4 package must be compiled for a specific version of CUPS. Have you actually installed CUPS 1.3.10? That's the version that matches Patriot's package.
ppdMP620-630en-1.5.pet
Description 
pet

 Download 
Filename  ppdMP620-630en-1.5.pet 
Filesize  6.62 KB 
Downloaded  405 Time(s) 
Back to top
View user's profile Send_private_message 
rgs

Joined: 21 Aug 2008
Posts: 38
Location: New England, USA

PostPosted: Thu 21 Oct 2010, 09:06    Post_subject:  

Thank you for the prompt reply.
Sorry for confusing you by my reference to CUPS 1.3.1.0. I meant 1.3.10.

I haven't had a chance to apply your suggestions yet, but hope to get to it today.

To recap: I have three laptops that had Puppy 4.2.1, cups 1.3.10, and cups print driver Canon mp620-630 series ver.280en. I got the driver from Muggins. It is listed as mp_ptr_620-i486.pet. They all communicated with the mp620 printer and all were able to print.

One laptop still has the above setup and prints fine.

Now two laptops have Puppy 5.1.1. I installed Cups 1.3.10 and Muggins mp_ptr_620-i486.pet on them. They do not print.

I had hoped that maybe Muggins could make the driver work with Cups 1.4.3 and tried to pm him. When I create a pm and submit it, it shows it in my outbox, but not in the sent box. Am I missing a send button? I saw your pm this morning, so I can receive a pm.

Thanks again for following up and I will let you know how I make out, hopefully later today.
Back to top
View user's profile Send_private_message 
rgs

Joined: 21 Aug 2008
Posts: 38
Location: New England, USA

PostPosted: Thu 21 Oct 2010, 13:47    Post_subject:  

rcrsn51

It Printed!!

I did a clean install, ran live cd, followed your sequence, and it worked!

Thank you so much for your time and effort.
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9200
Location: Stratford, Ontario

PostPosted: Thu 21 Oct 2010, 14:25    Post_subject:  

Which CUPS are you using?
Back to top
View user's profile Send_private_message 
rgs

Joined: 21 Aug 2008
Posts: 38
Location: New England, USA

PostPosted: Thu 21 Oct 2010, 14:44    Post_subject:  

1.3.10 installed, Puppy 5.1.1.
Works great!
Thanks
edit:
I just finished getting it to work on a second laptop, same setup. Both required a fresh install of puppy. I do not know why since both had only Firefox and Thunderbird installed.
All is well that ends well Smile
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0575s ][ Queries: 13 (0.0099s) ][ GZIP on ]